Subject: No GC new stories

From: [email-masked]
Date: Tue, 17 May 94 14:57:11 CDT

Hello, friends,

This is the guy who posted the "No GC ..." stories a couple of days
ago. Here is what happened after that:

I went to the local INS office (Tucson, Arizona). Last time I went
there, they refused to do anything for me, just told me to contact
Western Center. This time I showed them the reply from Western Center,
they said what happened was that when Western Center approved my case,
they didn't realize there was no enough visa numbers, they were in a
hurry. And now they find that out. Since my priority date is late
(7/19), I'll have to line up in the queue and wait for visa numbers. I
think that explanation is o.k. acceptable. They told me to hold the
approval notice and wait. But there is an unpleasant side effect, they
also said that I need a work permit in order to work.

Thanks to all the people who reply to my posting. Some one asked the
factory's #, here it is: (214)655-1500.

Tityik Wong
Univ of Ariz